# Method: projects.locations.entityReconciliationJobs.list

Lists Entity Reconciliation Jobs.

### HTTP request

`GET https://enterpriseknowledgegraph.googleapis.com/v1/{parent}/entityReconciliationJobs`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the EntityReconciliationJob's parent resource. Format: `projects/{project}/locations/{location}` It takes the form `projects/{project}/locations/{location}`. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` An expression for filtering the results of the request. For field names both snake_case and camelCase are supported. |
| `pageSize` | `integer` The standard list page size. |
| `pageToken` | `string` The standard list page token. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for `https://docs.cloud.google.com/enterprise-knowledge-graph/docs/reference/rest/v1/projects.locations.entityReconciliationJobs/list#google.cloud.enterpriseknowledgegraph.v1.EnterpriseKnowledgeGraphService.ListEntityReconciliationJobs`.

| JSON representation |
|---|
| ``` { "entityReconciliationJobs": [ { object (`https://docs.cloud.google.com/enterprise-knowledge-graph/docs/reference/rest/v1/projects.locations.entityReconciliationJobs#EntityReconciliationJob`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `entityReconciliationJobs[]` | ``object (`https://docs.cloud.google.com/enterprise-knowledge-graph/docs/reference/rest/v1/projects.locations.entityReconciliationJobs#EntityReconciliationJob`)`` A list of EntityReconciliationJobs that matches the specified filter in the request. |
| `nextPageToken` | `string` The standard List next-page token. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `enterpriseknowledgegraph.entityReconciliationJobs.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).